{% load question_tags %}

<div class="text-center mt-4">
    <h4><b>热门问题</b></h4>
</div>

<!-- 列表循环 -->
<div class="row ml-5">
    {% for question in questions %}
        <!-- 文章内容 -->
        <div class="col-12">
            <!-- 栏目 -->
            {% if question.column %}
                <a href="/blocks/blocks-list3/{{ question.column.title }}">
                <button type="button"
                        class="btn btn-sm mb-2 {{ question.column.title|button_type }}">
                    {{ question.column }}
                </button>
                </a>
            {% endif %}
            <!-- 标题 -->
            <h4>
                <b>
                    <a href="{% url 'question:question_detail' question.id %}"
                       style="color: black;"
                    >
                        {{ question.title }}
                    </a>
                </b>
            </h4>
            <!-- 摘要 -->
            <div>
                <p style="color: gray;">
                    {{ question.description|slice:'100' }}...
                </p>
            </div>
            <!-- 注脚 -->
            <p>
                <!-- 附加信息 -->
                <span>
                    <i class="fas fa-user" style="color:yellowgreen"></i>
                    {{ question.author }}
                </span>
                <span>
                    <i class="fas fa-clock" style="color:gray;"></i>
                    {{ question.created|date:'Y-m-d' }}
                </span>
                <span>
                    <i class="fas fa-clock" style="color:pink;"></i>
                    {{ question.updated|date:'Y-m-d' }}
                </span>
                <span>
                    <i class="fas fa-eye" style="color:blueviolet;"></i>
                    {{ question.total_views }}
                </span>
            </p>
            <hr>
        </div>
    {% endfor %}
</div>

<div class="text-center mt-4">
    <h4><b>热门文章</b></h4>
</div>

<!-- 列表循环 -->
<div class="row ml-5">
    {% for article in articles %}
        <!-- 文章内容 -->
        <div class="col-12">
            <!-- 栏目 -->
            {% if article.column %}
                <a href="/blocks/blocks-list3/{{ article.column.title }}">
                <button type="button"
                        class="btn btn-sm mb-2 {{ article.column.title|button_type }}">
                    {{ article.column }}
                </button>
                </a>
            {% endif %}
            <!-- 标题 -->
            <h4>
                <b>
                    <a href="{% url 'article:article_detail' article.id %}"
                       style="color: black;"
                    >
                        {{ article.title }}
                    </a>
                </b>
            </h4>
            <!-- 摘要 -->
            <div>
                <p style="color: gray;">
                    {{ article.body|slice:'100' }}...
                </p>
            </div>
            <!-- 注脚 -->
            <p>
                <!-- 附加信息 -->
                <span>
                    <i class="fas fa-user" style="color:yellowgreen"></i>
                    {{ article.author }}
                </span>
                <span>
                    <i class="fas fa-clock" style="color:gray;"></i>
                    {{ article.created|date:'Y-m-d' }}
                </span>
                <span>
                    <i class="fas fa-clock" style="color:pink;"></i>
                    {{ article.updated|date:'Y-m-d' }}
                </span>
                <span>
                    <i class="fas fa-eye" style="color:blueviolet;"></i>
                    {{ article.total_views }}
                </span>
            </p>
            <hr>
        </div>
    {% endfor %}
</div>